| Home | Libraries | People | FAQ | More

## Class template simple_exception_policy

boost::CV::simple_exception_policy — Template to shortcut the constrained_value policy creation process.

## Synopsis

    template<typename rep_type, rep_type min_value, rep_type max_value,
             typename exception_type>
    class simple_exception_policy {
    public:
      // types
      typedef rep_type value_type;

      // public static functions
      static rep_type min BOOST_PREVENT_MACRO_SUBSTITUTION() ;
      static rep_type max BOOST_PREVENT_MACRO_SUBSTITUTION() ;
      static void on_error(rep_type, rep_type, violation_enum) ;
    };

## Description

### `simple_exception_policy` public static functions

1.     static rep_type min BOOST_PREVENT_MACRO_SUBSTITUTION() ;

2.     static rep_type max BOOST_PREVENT_MACRO_SUBSTITUTION() ;

3.     static void on_error(rep_type, rep_type, violation_enum) ;